Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(21)

Unified Diff: gce/uploader_iteration.sh

Issue 169623002: [chrome-devtools-frontend] Check error codes from curl and gsutil (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/tools/chrome-devtools-frontend
Patch Set: Created 6 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: gce/uploader_iteration.sh
diff --git a/gce/uploader_iteration.sh b/gce/uploader_iteration.sh
index 00c3532fdf63a3a89f050281ce470ba70b847b72..5a8793baf46c351d7c530c01f3481df719479e83 100755
--- a/gce/uploader_iteration.sh
+++ b/gce/uploader_iteration.sh
@@ -20,7 +20,8 @@ cd "$SOURCE_DIR"
mark_step 'Updating gyp'
pushd gyp
-CHROMIUM_GYP_REVISION="$(curl -s http://src.chromium.org/chrome/trunk/src/DEPS | $SCRIPT_DIR/uploader_helper.py --find_project_revision='src/tools/gyp')"
+CHROMIUM_DEPS=$(curl -fsS http://src.chromium.org/chrome/trunk/src/DEPS) || exit $EXIT_GYP_UPDATE
+CHROMIUM_GYP_REVISION="$(echo "$CHROMIUM_DEPS" | $SCRIPT_DIR/uploader_helper.py --find_project_revision='src/tools/gyp')"
svn cleanup || exit $EXIT_GYP_UPDATE
svn up -r $CHROMIUM_GYP_REVISION || exit $EXIT_GYP_UPDATE
popd
@@ -28,7 +29,8 @@ popd
mark_step 'Getting the last Blink revision for which the frontend has been uploaded'
GS_PATH=gs://chrome-devtools-frontend
KNOWN_REVISIONS_DIR="$GS_PATH/revs"
-LAST_BLINK_REVISION=$(gsutil ls "$KNOWN_REVISIONS_DIR" | sed -e "s#^$KNOWN_REVISIONS_DIR/@##" | sort -nr | head -n 1)
+ALL_UPLOADED_REVS=$(gsutil ls "$KNOWN_REVISIONS_DIR") || exit $EXIT_LAST_UPLOADED_BLINK_REV
+LAST_BLINK_REVISION=$(echo "$ALL_UPLOADED_REVS" | sed -e "s#^$KNOWN_REVISIONS_DIR/@##" | sort -nr | head -n 1)
if [ -z "$LAST_BLINK_REVISION" ]; then
exit $EXIT_LAST_UPLOADED_BLINK_REV
fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698